Bug 125263 - The ProtocolKeepAlives ssh option is not supported
The ProtocolKeepAlives ssh option is not supported
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: openssh (Show other bugs)
2.1
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Mraz
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-04 03:30 EDT by Seth Mos
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-11 13:39:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Seth Mos 2004-06-04 03:30:29 EDT
Description of problem:

The ProtocolKeepAlives config option (~/.ssh/config) which does work
in Debian Woody 3.0 does not work in RHEL 2.1

We have NFS mounted home directories (on the RHEL machine) which are
mounted from multiple client machines including Debian 3.0 and RHEL
machines.

We need this keepalive option because we make a lot of connections to
machines behind isdn-dialup connections and we do not want the line to
drop halfway in the process.

Version-Release number of selected component (if applicable):

RHEL
[seth@coltex-2 work]$ ssh -V
OpenSSH_3.1p1, SSH protocols 1.5/2.0, OpenSSL 0x0090602f

Debian
seth@lsintra:~$ ssh -V
OpenSSH_3.4p1 Debian 1:3.4p1-1.woody.3, SSH protocols 1.5/2.0, OpenSSL
0x0090603f

How reproducible:

Put the following option in ~/.ssh/config
ProtocolKeepAlives   20

make an ssh connection to a remote machine.
  
Actual results:

[seth@coltex-2 work]$ ssh remotehost
/users/home/seth/.ssh/config: line 1: Bad configuration option:
ProtocolKeepAliv
es
/users/home/seth/.ssh/config: terminating, 1 bad configuration options

Expected results:

seth@lsintra:~/.ssh$ ssh remotehost
seth@remotehost's password:

Additional info:
http://www.sc.isc.tohoku.ac.jp/~hgot/sources/openssh-watchdog.html
Comment 1 Darren Tucker 2004-07-01 01:22:54 EDT
ProtocolKeepalives are a third-party patch incorporated by Debian.

Current versions of OpenSSH have keepalives (ServerAliveInterval,
ServerAliveCountMax, ClientAliveInterval and ClientAliveCountMax) and
Debian has dropped the ProtocolKeepAlive patch (although though they
kept the old options as compatibility aliases for the "official" options.
Comment 2 Seth Mos 2004-07-02 03:34:01 EDT
Well, the options you mentioned above do not work in the RHEL 2.1
distribution. So that doesn't get me any further.

I want to have keepalive support in the 2.1ES distribution. Upgrading
to ES3 is not an option for me, and using a selfcompiled option breaks
support and up2date.

[seth@coltex-2 .ssh]$ ssh lsinet
/users/home/seth/.ssh/config: line 1: Bad configuration option:
ClientAliveInterval
/users/home/seth/.ssh/config: terminating, 1 bad configuration options
Comment 3 Rodent of Unusual Size 2004-07-26 16:42:22 EDT
those are sshd options, not ssh.  they go in the sshd_config file for
the daemon, not the client's config file.
Comment 4 Suzanne Hillman 2005-04-11 13:39:41 EDT
Closing as there has been no activity for many months, and this appears to have
been explained as not a bug.

Thanks for the explaination, BTW!

Note You need to log in before you can comment on or make changes to this bug.